Skip to main content
GET
/
api
/
v1
/
projects
/
{projectUuid}
/
dataCatalog
/
metrics-with-time-dimensions
Error
A valid request URL is required to generate request examples
{
  "results": [
    {
      "fieldType": "metric",
      "type": "percentile",
      "name": "<string>",
      "label": "<string>",
      "table": "<string>",
      "tableLabel": "<string>",
      "sql": "<string>",
      "hidden": true,
      "compiledSql": "<string>",
      "description": "<string>",
      "compact": "thousands",
      "round": 123,
      "format": "km",
      "groupLabel": "<string>",
      "groups": [
        "<string>"
      ],
      "urls": [
        {
          "label": "<string>",
          "url": "<string>"
        }
      ],
      "index": 123,
      "tags": [
        "<string>"
      ],
      "parameterReferences": [
        "<string>"
      ],
      "showUnderlyingValues": [
        "<string>"
      ],
      "filters": [
        {
          "operator": "isNull",
          "id": "<string>",
          "target": {
            "fieldRef": "<string>"
          },
          "values": [
            "<unknown>"
          ],
          "settings": "<unknown>",
          "disabled": true,
          "required": true
        }
      ],
      "percentile": 123,
      "distinctKeys": [
        "<string>"
      ],
      "dimensionReference": "<string>",
      "requiredAttributes": {},
      "anyAttributes": {},
      "drivers": [
        "<string>"
      ],
      "aiHint": "<string>",
      "richText": "<string>",
      "compiledDistinctKeys": [
        "<string>"
      ],
      "compiledValueSql": "<string>",
      "tablesAnyAttributes": {},
      "tablesRequiredAttributes": {},
      "tablesReferences": [
        "<string>"
      ],
      "availableTimeDimensions": [
        {
          "fieldType": "dimension",
          "type": "date",
          "name": "<string>",
          "label": "<string>",
          "table": "<string>",
          "tableLabel": "<string>",
          "sql": "<string>",
          "hidden": true,
          "compiledSql": "<string>",
          "description": "<string>",
          "compact": "thousands",
          "round": 123,
          "format": "km",
          "groupLabel": "<string>",
          "groups": [
            "<string>"
          ],
          "urls": [
            {
              "label": "<string>",
              "url": "<string>"
            }
          ],
          "index": 123,
          "tags": [
            "<string>"
          ],
          "parameterReferences": [
            "<string>"
          ],
          "group": "<string>",
          "requiredAttributes": {},
          "anyAttributes": {},
          "timeInterval": "RAW",
          "timeIntervalBaseDimensionName": "<string>",
          "customTimeInterval": "<string>",
          "isAdditionalDimension": true,
          "colors": {},
          "isIntervalBase": true,
          "aiHint": "<string>",
          "caseSensitive": true,
          "richText": "<string>",
          "spotlight": {
            "segmentBy": true,
            "filterBy": true
          },
          "compiledDistinctKeys": [
            "<string>"
          ],
          "compiledValueSql": "<string>",
          "tablesAnyAttributes": {},
          "tablesRequiredAttributes": {},
          "tablesReferences": [
            "<string>"
          ]
        }
      ]
    }
  ],
  "status": "ok"
}

Path Parameters

projectUuid
string
required

Query Parameters

tableName
string

Response

Success

results
object[]
required
status
enum<string>
required
Available options:
ok